# Credit Report

Returns the results a soft credit pull on an application form.
⚠️ **Warning:** Before you run this endpoint, make sure you run [/makecsv](/api/pdf-insights/api-reference/other/makecsv) or [/uploadpdfs](/api/pdf-insights/api-reference/other/uploadpdfs) first.

Endpoint: POST /creditreport
Version: 1.5
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)

## Path parameters:

  - `version` (string, required)
    The version of the API.

## Request fields (multipart/form-data):

  - `ownerid` (string, required)
    The Owner ID. To find it, look for `id` under `owners` in the [/makecsv](/api/pdf-insights/api-reference/other/makecsv) or [/uploadpdfs](/api/pdf-insights/api-reference/other/uploadpdfs) response.

  - `appnumber` (string, required)
    Customer-provided identifier for the application. Required if you use this instead of `appid`.
    Example: ACME Widgets

  - `appid` (integer, required)
    Insights-assigned application identifier. Required if you use this instead of `appnumber`.

## Response 200:

  - `200` (unknown)
    Request successful.

## Response 200 fields (application/json):

  - `message` (string)
    The result of the soft credit pull.

  - `results` (array)
    Result details.

  - `results.ownerId` (integer)
    Owner ID.

  - `results.ownerName` (string)
    Owner name.

  - `results.status` (string)
    Status of soft credit pull.

  - `results.errorMessage` (string)
    A message on why a soft credit pull failed.

## Response 400:

  - `400` (unknown)
    Bad Request - Invalid Input

## Response 400 fields (application/json):

  - `error` (string)
    Example: No file found to process

## Response 401:

  - `401` (unknown)
    Bad Request - Authentication Error

## Response 401 fields (application/json):

  - `error` (string)
    Example: Bad token

